Package: groovy.util.slurpersupport

## [Java] Class Attributes

- groovy.util.slurpersupport.Attributes

-     @Deprecated
      public class Attributes
      extends NodeChildren

  Lazy evaluated representation of a node's attributes.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GPathResult` | `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Attributes (GPathResult parent, String name, String namespacePrefix, Map<String, String> namespaceTagHints)` Parameters: `parent` - the GPathResult prior to the application of the expression creating this GPathResult
    `Attributes (GPathResult parent, String name, Map<String, String> namespaceTagHints)` Parameters: `parent` - the GPathResult prior to the application of the expression creating this GPathResult

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `build(GroovyObject builder)`
    `` | `public Iterator` | `childNodes()` Throws a `GroovyRuntimeException`, because attributes can have no children.
    `` | `public GPathResult` | `findAll(Closure closure)`
    `` | `protected Object` | `getNextNode(Iterator iter)`
    `` | `public Iterator` | `iterator()`
    `` | `public List` | `list()`
    `` | `public String` | `name()`
    `` | `public Iterator` | `nodeIterator()`
    `` | `public GPathResult` | `parents()`
    `` | `public String` | `text()`
    `` | `public Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class NodeChildren` | `appendNode, build, childNodes, find, findAll, getNextNode, hasNext, hasNext, iterator, next, next, nodeIterator, parents, remove, remove, replaceBody, replaceNode, size, text, writeTo`
    `class GPathResult` | `appendNode, breadthFirst, childNodes, children, createIterator, declareNamespace, depthFirst, doCall, doCall, equals, find, findAll, getAt, getAt, getAttribute, getBody, getProperty, hasNext, hasNext, hasNext, hashCode, isEmpty, iterator, leftShift, list, lookupNamespace, name, next, next, next, nodeIterator, parent, parents, plus, pop, putAt, remove, remove, remove, replaceBody, replaceNode, setAttribute, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`
    `class GroovyObjectSupport` | `getMetaClass, setMetaClass`

- - ### Constructor Detail

    - #### public Attributes(GPathResult parent, String name, String namespacePrefix, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `name` - if the GPathResult corresponds to something with a name, e.g. a node
        `namespacePrefix` - the namespace prefix if any
        `namespaceTagHints` - the known tag to namespace mappings

    - #### public Attributes(GPathResult parent, String name, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `name` - if the GPathResult corresponds to something with a name, e.g. a node
        `namespaceTagHints` - the known tag to namespace mappings

  - ### Method Detail

    - #### public void build(GroovyObject builder)

    - #### public Iterator childNodes()

      Throws a `GroovyRuntimeException`, because attributes can have no children.

    - #### public GPathResult findAll(Closure closure)

    - #### protected Object getNextNode(Iterator iter)

    - #### public Iterator iterator()

    - #### public List list()

    - #### public String name()

    - #### public Iterator nodeIterator()

    - #### public GPathResult parents()

    - #### public String text()

    - #### public Writer writeTo(Writer out)